get
https://api.zenoti.com/Guests//CreditCardsOnFile?CenterId=&TransactionFrom=
This API helps you to retrieve the saved credit/debit cards of a guest at the specified center.
You must specify appropriate details for the parameters in the API request. For more information, refer to the Request Parameters table.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Response Details
| Name | Type | Description |
|---|---|---|
| Error | object | Object that contains error-related details: StatusCode, Error Message, and Internal error message. For more information, refer to the Error Object table. |
| CreditCardsOnFile | object | Object that contains the guest's saved credit cards-related details. For more information, refer to the CreditCardsOnFile Object table. |
| HasExpiredCards | boolean | If true, it indicates that there are expired credit cards saved for the guest. |
CreditCardsOnFile Object
| Name | Type | Description |
|---|---|---|
| Id | string | ID of the saved credit/debit card. |
| CardBrand | enum | Indicates the brand of the saved credit/debit card: Visa - 0, MasterCard - 1, Maestro - 2, Amex - 3, DinersClub - 4, Discover - 5, Beam - 6, DebitCard - 7, NetsNets - 8, VisaElectron - 9, Other - 21. |
| CardType | enum | Indicates the brand of the saved credit/debit card: CreditCard - 0, DebitCard - 1, Other - 2. |
| LastFour | string | Last four digits of the saved card. |
| ExpirationMonth | int | Month of expiry of the card. |
| ExpirationYear | int | Year of expiry of the card. |
| ExtParams | string | External parameters of the card. |
| IsSupportedCardType | boolean | If true, it indicates that the saved card is supported. |
| ProcessorId | string | ID of the payment processor. |
| ProcessorName | string | Name of the payment processor. |
Error Object
| StatusCode | Message |
|---|---|
| 503 | Invalid Guest or Center Id. |
| 438 | cannot access. |
| 602 | Unauthorized access. |
